Package org.opensaml.saml.ext.saml2mdquery.impl

# Class QueryDescriptorTypeImpl

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.xmlsec.signature.AbstractSignableXMLObject
org.opensaml.saml.common.AbstractSignableSAMLObject
org.opensaml.saml.saml2.metadata.impl.RoleDescriptorImpl
org.opensaml.saml.ext.saml2mdquery.impl.QueryDescriptorTypeImpl

All Implemented Interfaces:
  `AttributeExtensibleXMLObject`, `XMLObject`, `SAMLObject`, `SignableSAMLObject`, `QueryDescriptorType`, `CacheableSAMLObject`, `TimeBoundSAMLObject`, `RoleDescriptor`, `SignableXMLObject`

Direct Known Subclasses:
  `AttributeQueryDescriptorTypeImpl`, `AuthnQueryDescriptorTypeImpl`, `AuthzDecisionQueryDescriptorTypeImpl`

public abstract class QueryDescriptorTypeImpl extends RoleDescriptorImpl implements QueryDescriptorType
Concrete implementation of `QueryDescriptorType`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final XMLObjectChildrenList<NameIDFormat>`
`nameIDFormats`
Supported NameID formats.
`private XSBooleanValue`
`wantAssertionsSigned`
WantAssertionSigned attribute value.

### Fields inherited from interface org.opensaml.saml.saml2.common.CacheableSAMLObject

`CACHE_DURATION_ATTRIB_NAME, CACHE_DURATION_ATTRIB_QNAME`

### Fields inherited from interface org.opensaml.saml.ext.saml2mdquery.QueryDescriptorType

`TYPE_LOCAL_NAME, TYPE_NAME, WANT_ASSERTIONS_SIGNED_ATTRIB_NAME`

### Fields inherited from interface org.opensaml.saml.saml2.metadata.RoleDescriptor

`DEFAULT_ELEMENT_LOCAL_NAME, DEFAULT_ELEMENT_NAME, ERROR_URL_ATTRIB_NAME, ID_ATTRIB_NAME, PROTOCOL_ENUMERATION_ATTRIB_NAME, TYPE_LOCAL_NAME, TYPE_NAME`

### Fields inherited from interface org.opensaml.saml.saml2.common.TimeBoundSAMLObject

`VALID_UNTIL_ATTRIB_NAME, VALID_UNTIL_ATTRIB_QNAME`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`QueryDescriptorTypeImpl(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`List<NameIDFormat>`
`getNameIDFormat()`
Gets the list of name ID formats supported by this query service.
`List<XMLObject>`
`getOrderedChildren()`
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.
`Boolean`
`getWantAssertionsSigned()`
Gets whether assertions to this endpoint should be signed.
`XSBooleanValue`
`getWantAssertionsSignedXSBoolean()`
Gets whether assertions to this endpoint should be signed.
`void`
`setWantAssertionsSigned(Boolean newWantAssertionsSigned)`
Sets whether assertions to this endpoint should be signed.
`void`
`setWantAssertionsSigned(XSBooleanValue newWantAssertionsSigned)`
Sets whether assertions to this endpoint should be signed.

### Methods inherited from class org.opensaml.saml.saml2.metadata.impl.RoleDescriptorImpl

`addSupportedProtocol, getCacheDuration, getContactPersons, getErrorURL, getExtensions, getID, getKeyDescriptors, getOrganization, getSignatureReferenceID, getSupportedProtocols, getUnknownAttributes, getValidUntil, isSupportedProtocol, isValid, removeAllSupportedProtocols, removeSupportedProtocol, removeSupportedProtocols, setCacheDuration, setErrorURL, setExtensions, setID, setOrganization, setValidUntil`

### Methods inherited from class org.opensaml.saml.common.AbstractSignableSAMLObject

`equals, hashCode, setSignature`

### Methods inherited from class org.opensaml.xmlsec.signature.AbstractSignableXMLObject

`getSignature, isSigned`

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.core.xml.AttributeExtensibleXMLObject

`getUnknownAttributes`

### Methods inherited from interface org.opensaml.saml.saml2.common.CacheableSAMLObject

`getCacheDuration, setCacheDuration`

### Methods inherited from interface org.opensaml.saml.saml2.metadata.RoleDescriptor

`addSupportedProtocol, getContactPersons, getEndpoints, getEndpoints, getErrorURL, getExtensions, getID, getKeyDescriptors, getOrganization, getSupportedProtocols, isSupportedProtocol, removeAllSupportedProtocols, removeSupportedProtocol, removeSupportedProtocols, setErrorURL, setExtensions, setID, setOrganization`

### Methods inherited from interface org.opensaml.saml.common.SignableSAMLObject

`getSignatureReferenceID`

### Methods inherited from interface org.opensaml.xmlsec.signature.SignableXMLObject

`getSignature, isSigned, setSignature`

### Methods inherited from interface org.opensaml.saml.saml2.common.TimeBoundSAMLObject

`getValidUntil, isValid, setValidUntil`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### wantAssertionsSigned

@Nullable private XSBooleanValue wantAssertionsSigned
WantAssertionSigned attribute value.

### nameIDFormats

@Nonnull private final XMLObjectChildrenList<NameIDFormat> nameIDFormats
Supported NameID formats.

## Constructor Details

### QueryDescriptorTypeImpl

protected QueryDescriptorTypeImpl(@Nullable String namespaceURI, @Nonnull String elementLocalName, @Nullable String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - the namespace the element is in
  `elementLocalName` - the local name of the XML element this Object represents
  `namespacePrefix` - the prefix for the given namespace

## Method Details

### getWantAssertionsSigned

@Nullable public Boolean getWantAssertionsSigned()
Gets whether assertions to this endpoint should be signed.

Specified by:
  `getWantAssertionsSigned` in interface `QueryDescriptorType`
Returns:
  whether assertions to this endpoint should be signed

### setWantAssertionsSigned

public void setWantAssertionsSigned(@Nullable Boolean newWantAssertionsSigned)
Sets whether assertions to this endpoint should be signed.

Specified by:
  `setWantAssertionsSigned` in interface `QueryDescriptorType`
Parameters:
  `newWantAssertionsSigned` - whether assertions to this endpoint should be signed

### getWantAssertionsSignedXSBoolean

@Nullable public XSBooleanValue getWantAssertionsSignedXSBoolean()
Gets whether assertions to this endpoint should be signed.

Specified by:
  `getWantAssertionsSignedXSBoolean` in interface `QueryDescriptorType`
Returns:
  whether assertions to this endpoint should be signed

### setWantAssertionsSigned

public void setWantAssertionsSigned(@Nullable XSBooleanValue newWantAssertionsSigned)
Sets whether assertions to this endpoint should be signed.

Specified by:
  `setWantAssertionsSigned` in interface `QueryDescriptorType`
Parameters:
  `newWantAssertionsSigned` - whether assertions to this endpoint should be signed

### getNameIDFormat

@Nonnull @NotLive @Unmodifiable public List<NameIDFormat> getNameIDFormat()
Gets the list of name ID formats supported by this query service.

Specified by:
  `getNameIDFormat` in interface `QueryDescriptorType`
Returns:
  the list of name ID formats supported by this query service

### getOrderedChildren

@Nullable @NotLive @Unmodifiable public List<XMLObject> getOrderedChildren()
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.

Specified by:
  `getOrderedChildren` in interface `XMLObject`
Overrides:
  `getOrderedChildren` in class `RoleDescriptorImpl`
Returns:
  ordered list of child elements